### MATLAB_SBML_STRUCTURE_FUNCTIONS\COMPARTMENTTYPE

The functions allow users to create and work with the SBML CompartmentType structure.

Function are:

#### CompartmentType = CompartmentType_create(level(optional), version(optional) )

Takes

1. level, an integer representing an SBML level (optional)
2. version, an integer representing an SBML version (optional)

Returns

1. a MATLAB_SBML CompartmentType structure of the appropriate level and version

NOTE: the optional level and version preserve backwards compatibility a missing version argument will default to L1V2; L2V4 or L3V1 missing both arguments will default to L3V1

#### id = CompartmentType_getId(SBMLCompartmentType)

Takes

1. SBMLCompartmentType, an SBML CompartmentType structure

Returns

1. the value of the id attribute

#### metaid = CompartmentType_getMetaid(SBMLCompartmentType)

Takes

1. SBMLCompartmentType, an SBML CompartmentType structure

Returns

1. the value of the metaid attribute

#### name = CompartmentType_getName(SBMLCompartmentType)

Takes

1. SBMLCompartmentType, an SBML CompartmentType structure

Returns

1. the value of the name attribute

#### sboTerm = CompartmentType_getSBOTerm(SBMLCompartmentType)

Takes

1. SBMLCompartmentType, an SBML CompartmentType structure

Returns

1. the value of the sboTerm attribute

#### value = CompartmentType_isSetId(SBMLCompartmentType)

Takes

1. SBMLCompartmentType, an SBML CompartmentType structure

Returns

1. value =
   - 1 if the id attribute is set
   - 0 otherwise

#### value = CompartmentType_isSetMetaid(SBMLCompartmentType)

Takes

1. SBMLCompartmentType, an SBML CompartmentType structure

Returns

1. value =
   - 1 if the metaid attribute is set
   - 0 otherwise

#### value = CompartmentType_isSetName(SBMLCompartmentType)

Takes

1. SBMLCompartmentType, an SBML CompartmentType structure

Returns

1. value =
   - 1 if the name attribute is set
   - 0 otherwise

#### value = CompartmentType_isSetSBOTerm(SBMLCompartmentType)

Takes

1. SBMLCompartmentType, an SBML CompartmentType structure

Returns

1. value =
   - 1 if the sboTerm attribute is set
   - 0 otherwise

#### SBMLCompartmentType = CompartmentType_setId(SBMLCompartmentType, id)

Takes

1. SBMLCompartmentType, an SBML CompartmentType structure
2. id; a string representing the id to be set

Returns

1. the SBML CompartmentType structure with the new value for the id attribute

#### SBMLCompartmentType = CompartmentType_setMetaid(SBMLCompartmentType, metaid)

Takes

1. SBMLCompartmentType, an SBML CompartmentType structure
2. metaid; a string representing the metaid to be set

Returns

1. the SBML CompartmentType structure with the new value for the metaid attribute

#### SBMLCompartmentType = CompartmentType_setName(SBMLCompartmentType, name)

Takes

1. SBMLCompartmentType, an SBML CompartmentType structure
2. name; a string representing the name to be set

Returns

1. the SBML CompartmentType structure with the new value for the name attribute

#### SBMLCompartmentType = CompartmentType_setSBOTerm(SBMLCompartmentType, sboTerm)

Takes

1. SBMLCompartmentType, an SBML CompartmentType structure
2. sboTerm, an integer representing the sboTerm to be set

Returns

1. the SBML CompartmentType structure with the new value for the sboTerm attribute

#### SBMLCompartmentType = CompartmentType_unsetId(SBMLCompartmentType)

Takes

1. SBMLCompartmentType, an SBML CompartmentType structure

Returns

1. the SBML CompartmentType structure with the id attribute unset

#### SBMLCompartmentType = CompartmentType_unsetMetaid(SBMLCompartmentType)

Takes

1. SBMLCompartmentType, an SBML CompartmentType structure

Returns

1. the SBML CompartmentType structure with the metaid attribute unset

#### SBMLCompartmentType = CompartmentType_unsetName(SBMLCompartmentType)

Takes

1. SBMLCompartmentType, an SBML CompartmentType structure

Returns

1. the SBML CompartmentType structure with the name attribute unset

#### SBMLCompartmentType = CompartmentType_unsetSBOTerm(SBMLCompartmentType)

Takes

1. SBMLCompartmentType, an SBML CompartmentType structure

Returns

1. the SBML CompartmentType structure with the sboTerm attribute unset